# StanzaHandlerExtension class abstract

Implementers
  - CarbonsData
  - ChatMarkerData
  - DelayedDeliveryData
  - FileUploadNotificationCancellationData
  - FileUploadNotificationData
  - FileUploadNotificationReplacementData
  - LastMessageCorrectionData
  - MarkableData
  - MessageBodyData
  - MessageDeliveryReceiptData
  - MessageDeliveryReceivedData
  - MessageIdData
  - MessageProcessingHintData
  - MessageReactionsData
  - MessageRetractionData
  - OccupantIdData
  - OmemoData
  - OOBData
  - ReplyData
  - StableIdData
  - StatelessFileSharingData
  - StatelessMediaSharingData
  - StickersData

## Constructors

StanzaHandlerExtension ()

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited